Bug Hunting Session
Bug 84295 - CONTEXT MENU: Improving the 'Style' submenu
Summary: CONTEXT MENU: Improving the 'Style' submenu
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: Other All
: medium enhancement
Assignee: Yousuf Philips (jay) (retired)
URL:
Whiteboard: target:4.4.0.0.beta3
Keywords:
Depends on:
Blocks: Context-Menu
  Show dependency treegraph
 
Reported: 2014-09-24 20:02 UTC by Yousuf Philips (jay) (retired)
Modified: 2015-02-24 09:54 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) (retired) 2014-09-24 20:02:37 UTC
As stated in bug 81132 comment 31, there are a number of useful line and font effects that could be included in the context menu's style submenu. Many users open the Font/Character dialog box to get to these useful options, so it would be beneficial to have them in the context menu. Below are stats for each of the proposed additions.

Double Underline (.uno:UnderlineDouble):
 Toolbar      :  2% (users are customizing to add this to the toolbar)
 Shortcut Key : 41%
 Font Dialog  : 57%
 Usage        : Used as often as strike through

Embossed & Engraved:
 Font Dialog  : 100%
 Usage        : Used as much as overline

So i'd like to propose that the Style submenu appear as follows :-

Bold
Italics
Overline
Underline
Double Underline
Strikethrough
- separator -
Shadow
Outline
Embossed
Engraved
- separator -
Superscript
Subscript
Comment 1 Joel Madero 2014-09-25 05:16:26 UTC
Sounds fine - marking as NEW
Comment 2 Cor Nouws 2014-11-17 22:10:47 UTC
(In reply to Jay Philips from comment #0)
> As stated in bug 81132 comment 31, there are a number of useful line and
> font effects that could be included in the context menu's style submenu.

You're talking 'styles' or 'direct formatting' Jay ?
Comment 3 Yousuf Philips (jay) (retired) 2014-11-18 15:51:35 UTC
(In reply to Cor Nouws from comment #2)
> You're talking 'styles' or 'direct formatting' Jay ?

The right-click context menu has a 'styles' submenu with direct formatting entries in it.

Mirek had suggested in bug 81132 comment 9, ``If the commands under "Style" are kept, the title of that menu should be changed to "Decoration", "Effects", or even "Format", as "Style" should always just refer to our Styles feature.``
Comment 4 Cor Nouws 2014-11-18 20:06:37 UTC
(In reply to Jay Philips from comment #3)

> Mirek had suggested in bug 81132 comment 9, ``If the commands under "Style"
> are kept, the title of that menu should be changed to "Decoration",
> "Effects", or even "Format", as "Style" should always just refer to our
> Styles feature.``

Indeed. Good idea.
It's obvious, see my previous comment here, how confusing the current situation is.
Comment 5 Cor Nouws 2014-11-18 20:07:34 UTC
(In reply to Jay Philips from comment #0)

> So i'd like to propose that the Style submenu appear as follows :-
> [...]

Fine for me (though I should abstain from voting in direct formatting features :) )
Comment 6 Yousuf Philips (jay) (retired) 2014-11-18 20:52:50 UTC
(In reply to Cor Nouws from comment #4)
> It's obvious, see my previous comment here, how confusing the current
> situation is.

Would be even more confusing with my enhancement bug (bug 85940) to bring actual paragraph and character styles to the context menu. :D
Comment 7 Yousuf Philips (jay) (retired) 2014-11-28 01:48:02 UTC
Hi Cor,

So what should it be changed to: "Decoration", "Effects", or "Format"?
Comment 8 Cor Nouws 2014-11-28 12:36:04 UTC
Hi Jay,

(In reply to Jay Philips from comment #7)

> So what should it be changed to: "Decoration", "Effects", or "Format"?

Ah good question :) Let's be consistent with the menu, so I go for 'format' ;)
Comment 9 Yousuf Philips (jay) (retired) 2014-11-29 17:16:13 UTC
Closing this as the entry will anyway be removed in master (bug 86606).
Comment 10 Yousuf Philips (jay) (retired) 2014-12-06 06:14:14 UTC
The issue was brought up at the design meeting to change the submenu name from 'Style' in 4.4, so lets do go for it. :D

Patch - https://gerrit.libreoffice.org/#/c/13329/
Comment 11 Commit Notification 2014-12-09 09:18:33 UTC
Yousuf Philips committed a patch related to this issue.
It has been pushed to "libreoffice-4-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=d1efbcd788bcd9e72efaaecc110bbd2d48a966eb&h=libreoffice-4-4

fdo#84295 change context menu 'Style' entry to 'Format'

It will be available in 4.4.0.0.beta3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 12 Yousuf Philips (jay) (retired) 2015-02-24 09:54:08 UTC
Design team decided to remove styles from the context menu completely starting with 4.5.